Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.function
Class NormalizeSpaceFunction

    java.lang.Object
      org.jaxen.function.NormalizeSpaceFunction

All Implemented Interfaces:
  Function

public class NormalizeSpaceFunction
extends Object
implements Function

4.2 `string normalize-space(string)`

> The normalize-space function returns the argument string with whitespace normalized by stripping leading and trailing whitespace and replacing sequences of whitespace characters by a single space. Whitespace characters are the same as those allowed by the S production in XML. If the argument is omitted, it defaults to the context node converted to a string, in other words the string-value of the context node.

Author:
  James Strachan (james@metastuff.com)
See Also:
  Section 4.2 of the XPath Specification

Constructor Summary
`NormalizeSpaceFunction()` Create a new `NormalizeSpaceFunction` object.

Method Summary
`Object` | `call(Context context, List args)` Returns the string-value of the first item in `args` after removing all leading and trailing white space, and replacing each other sequence of whitespace by a single space.
`static String` | `evaluate(Object strArg, Navigator nav)` Returns the string-value of `strArg` after removing all leading and trailing white space, and replacing each other sequence of whitespace by a single space.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizeSpaceFunction

    public NormalizeSpaceFunction()

  Create a new `NormalizeSpaceFunction` object.

Method Detail

### call

    public Object call(Context context,
                       List args)
                throws FunctionCallException

  Returns the string-value of the first item in `args` after removing all leading and trailing white space, and replacing each other sequence of whitespace by a single space. Whitespace consists of the characters space (0x32), carriage return (0x0D), linefeed (0x0A), and tab (0x09).

  Specified by:
    `call` in interface `Function`
  Parameters:
    `context` - the context at the point in the expression when the function is called
    `args` - a list that contains exactly one item
  Returns:
    a normalized `String`
  Throws:
    `FunctionCallException` - if `args` does not have length one

### evaluate

    public static String evaluate(Object strArg,
                                  Navigator nav)

  Returns the string-value of `strArg` after removing all leading and trailing white space, and replacing each other sequence of whitespace by a single space. Whitespace consists of the characters space (0x32), carriage return (0x0D), linefeed (0x0A), and tab (0x09).

  Parameters:
    `strArg` - the object whose string-value is normalized
    `nav` - the context at the point in the expression when the function is called
  Returns:
    the normalized string-value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.